/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* ———————————————————— RESET ———————————————————— */
/* Reset default margins, automatische Silbentrennung */
/* body, h1, h2, h3, h4, p, figure, blockquote, dl, dd {
	margin-block-end: 0;
	hyphens: auto;
}
*/
/* Prevent font size inflation */
html {
  -moz-text-size-adjust: none;
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
}
/* Balance text wrapping on headings */
h1, h2, h3, h4, h5 {
	text-wrap: balance;
	a {
		text-decoration: none;
		color: inherit;
	}
	:hover {
		color: inherit;
	}
}


/* ———————————————————— PREFERS REDUCED MOTION ———————————————————— */

/* Disable animations for users who prefer reduced motion */
@media (prefers-reduced-motion: reduce) {
  *,
  *::before,
  *::after {
    animation: none !important;
    transition: none !important;
    animation-play-state: paused !important;
    scroll-behavior: auto !important;
  }
}

/* ———————————————————— SITE WRAPPER ———————————————————— */
.site-background {width: 100%; height: 100%; background-color: #fff; margin: 0;}
.site-wrapper {max-width: 1920px; height: 100%; background-color: #fff; margin: 0 auto; }


/* ———————————————————— SVG EXTERNAL LINK ———————————————————— */
p a[target=_blank]::after {
	content: '';
	display: inline-block;
	vertical-align: baseline;
	width: 0.8em;
	height: 0.8em;
	margin-left: 0.25em;
	background-size: 100%;
	background-image: url('https://www.stolperfrei.at/wp-content/uploads/2025/11/external-link.svg');
}

/* ———————————————————— ICON FÜR DOWNLOAD-LINK ———————————————————— */
[download]::after {
content: '';
	display: inline-block;
	vertical-align: text-bottom;
	width: 1.2em;
	height: 1.2em;
	margin-left: 0.25em;
	background-size: 100%;
	background-image: url('https://www.stolperfrei.at/wp-content/uploads/2025/12/MdiDownload.svg');
}

/* ———————————————————— CONTAINER LINKS ———————————————————— */

.stretch-link {
	position: relative;
}

.stretch-link h5 a::before {
	content: '';
	position: absolute;
	inset: 0;
}

.stretch-link:focus-within {
	box-shadow: 0 0 0 3px var(--global-color-8);
}

.stretch-link:focus-within :focus {
	box-shadow: none;
	outline: none;
}

.stretch-link a:is(:hover, :focus) {
	outline: none;
}









.paused-animation {
	animation-play-state: paused;
}


/* ———————————————————— IMAGE-BACKGROUND / Kyle van Duisen ———————————————————— */

.image-background {
	position: relative;
	isolation: isolate;
	
	& img:first-of-type {
		position: absolute;
		inset: 0;
		z-index: -1;
		width: 100%;
		height: 100%;
	}
}


/* ———————————————————— SIMPLE CSS BACKGROUND PATTERNS / Kyle van Duisen ———————————————————— */

.bg-dots {
	background-image: radial-gradient(gray 1px, transparent 1px);
	background-size: 1.25rem 1.25rem;
	background-position: center;
}
.bg-dots-dia {
	background-image: radial-gradient(gray 1px, transparent 1px), radial-gradient(gray 1px, transparent 1px);
	background-size: 1.25rem 1.25rem;
	background-position: 0 0, 0.625rem 0.625rem;
}
.bg-lines {
	background-image: linear-gradient(0deg, #ecfaed 50%, #b4ccb6 50%);
	background-size: 10px 10px;
}




/* ———————————————————— LIST – COUNTER-RESET ———————————————————— */

.gb-element-d59619f2 {
	counter-reset: list-counter;
}


.gb-element-d59619f2 li {
	counter-increment: list-counter;
}

.gb-element-d59619f2 li::before {
	content: counter(list-counter);
	width: 2.6rem;
	height: 2.6rem;
	border-radius: 100vw;
	background-color: var(--global-color-8);
	color: white;
	font-weight: bold;
	display: grid;
	place-items: center;
	margin-left: -3.3rem;
	border: 0.3rem solid white;
	box-sizing: border-box;
	z-index: 1;
}


/* ———————————————————— SCREEN-READER-ONLY ———————————————————— */

.sr-only {
	position: absolute;
	width: 1px;
	height: 1px;
	padding: 0;
	margin: -1px;
	clip: rect(0 0 0 0);
	white-space: nowrap;
	border: 0;
}




/* ———————————————————— MASK PHOTO | SVG ———————————————————— */
.mask-photo {
	mask: url(https://www.stolperfrei.at/wp-content/uploads/2025/11/external-link.svg) no-repeat center;
	-webkit-mask: url(https://www.stolperfrei.at/wp-content/uploads/2025/11/external-link.svg) no-repeat center;
	mask-size: 16rem;
	-webkit-mask-size: 16rem;
}






.textauszeichnung {
	background-color: black;
	color: pink;
	font-size: 5rem;
}